tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rob Tanner <rtan...@linfield.edu>
Subject Re: Java update from Apple broke Tomcat
Date Tue, 02 Nov 2010 17:16:11 GMT
Rick,

Yep, extraneous jar files that didn't belong there.  Don't know why it
worked before the upgrade and not after, but the problem was easy enough to
fix once it was identified.  Everything works now.

-- Rob



On 11/1/10 3:48 PM, "Richard G Curry" <rgcurry@jcpenney.com> wrote:

> Did you check you classpath?
> 
> ______________________________________________________________________________
> _________
> «€»¥«€»§«€»¥«€»§«€»¥«€»§«€»¥«€»§«€»¥«€»§«€»¥«€»§«€»¥«€»§«€»¥«€»§«€»¥«€»
> ______________________________________________________________________________
> _________
> Rick Curry
> Common Services -  Software Development
> E2 - 066, MS 5210
> 972-431-9178 (Voice)
> 972-585-7585 (Pager)
> To send a (short) Text Message to my Pager:
> 9725857585@page.metrocall.com
> 
> -----Original Message-----
> From: Pid [mailto:pid@pidster.com]
> Sent: Monday, November 01, 2010 5:28 PM
> To: Tomcat Users List
> Subject: Re: Java update from Apple broke Tomcat
> 
> On 01/11/2010 17:55, Rob Tanner wrote:
>> Hi,
>> 
>> While I run production on Linux servers, I do my development on my iMac.
>> Last week, I ran the most recent Apple Java upgrade , and now Tomcat
>> (which is a critical part of my development environment) won't start
>> up.  I get the
>> error:
>> 
>> Nov 1, 2010 8:58:54 AM org.apache.catalina.startup.Bootstrap
>> initClassLoaders
>> SEVERE: Class loader creation threw exception
>> java.lang.NoSuchFieldError: IS_DIR
>>      at
>> org.apache.catalina.startup.Bootstrap.createClassLoader(Bootstrap.java:167)
>>      at
>> org.apache.catalina.startup.Bootstrap.initClassLoaders(Bootstrap.java:92)
>>      at org.apache.catalina.startup.Bootstrap.init(Bootstrap.java:207)
>>      at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:391)
>> 
>> Other details:
>> 
>> java version "1.6.0_22"
>> Java(TM) SE Runtime Environment (build 1.6.0_22-b04-307-10M3261) Java
>> HotSpot(TM) 64-Bit Server VM (build 17.1-b03-307, mixed mode)
>> 
>> Tomcat version:  6.0.18 and 6.0.29 < both fail to start, throwing the
>> same exception
>> 
>> From the error, it appears that things are missing from the update (or
>> at least one field is).  Has anyone else seen this?  Is there a known
>> work-around?
> 
> I updated too.  Works just fine for me, on various 6.0.x and 7.0 trunk.
> 
> 
> p
> 
> The information transmitted is intended only for the person or entity to
> which it is addressed and may contain confidential and/or privileged
> material.  If the reader of this message is not the intended recipient,
> you are hereby notified that your access is unauthorized, and any review,
> dissemination, distribution or copying of this message including any
> attachments is strictly prohibited.  If you are not the intended
> recipient, please contact the sender and delete the material from any
> computer.
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: users-help@tomcat.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message